Summary: University of Pittsburgh IMAP Proxy
Name: up-imapproxy
Version: 1.2.7
Release: 0.2.rc2%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.imapproxy.org
Source0: http://www.imapproxy.org/downloads/up-imapproxy-%{version}rc2.tar.gz
Source1: imapproxy.init
Patch0: up-imapproxy-buffer_overflow_fix.diff
Patch1: up-imapproxy-debian_fix.diff
# Source1 can be downloaded from
# https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=118632
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service
BuildRequires: openssl-devel tcp_wrappers ncurses-devel krb5-devel

%description
imapproxy was written to compensate for webmail clients that are
unable to maintain persistent connections to an IMAP server. Most
webmail clients need to log in to an IMAP server for nearly every
single transaction. This behaviour can cause tragic performance
problems on the IMAP server. imapproxy tries to deal with this problem
by leaving server connections open for a short time after a webmail
client logs out. When the webmail client connects again, imapproxy
will determine if there's a cached connection available and reuse it
if possible.

%prep
%setup -q -n up-imapproxy-%{version}rc2
#patch0 -p0
%patch1 -p1

%build
export CFLAGS="-O2 -g -pipe -Wall" 
%configure --with-krb5=/usr/kerberos
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# The install-* Makefile targets don't support DESTDIR syntax, so work around.
install -D -m 0644 -p scripts/imapproxy.conf \
	$RPM_BUILD_ROOT%{_sysconfdir}/imapproxy.conf
install -D -m 0755 -p %{SOURCE1} \
	$RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/imapproxy
install -d -m 0755 $RPM_BUILD_ROOT%{_sbindir}
install -m 0755 bin/* $RPM_BUILD_ROOT%{_sbindir}
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/run
touch $RPM_BUILD_ROOT%{_localstatedir}/run/pimpstats

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 == 1 ] ; then
    /sbin/chkconfig --add imapproxy &> /dev/null || :
fi

%preun
if [ $1 == 0 ] ; then
    /sbin/service imapproxy stop &> /dev/null || :
    /sbin/chkconfig --del imapproxy || :
fi

%postun
/sbin/service imapproxy condrestart &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README README.debian README.known_issues README.ssl
%doc copyright
%config(noreplace) %{_sysconfdir}/imapproxy.conf
%ghost %{_localstatedir}/run/pimpstats
%{_sysconfdir}/rc.d/init.d/*
%{_sbindir}/*

%changelog
* Tue Jul 14 2009 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to version 1.2.7rc2

* Tue Oct 11 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2.4-4
- Fix for CAN-2005-2661 (#170220, from Debian).

* Fri Sep  9 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-3
- Same as -2.

* Fri Sep  9 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-2
- No-op release bump to get a new buildsys tag.

* Fri Sep  9 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-1
- Bump to current upstream release.
- Upstream includes a new doc (copyright), included.

* Fri Sep  9 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-6
- Another change to the init script.

* Sat Sep  3 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-5
- Preserve certain timestamps.

* Thu Sep  1 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-4
- Fix rpmlint complaints.
- Paul also provided a replacement init script.
- Fixed some redundant BuildReqs.
- Tuned Requires, install, and files.
- Many thanks to Paul Howarth.

* Wed Aug 31 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-3
- Added BuildRequires.

* Fri Aug 12 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-2
- Multiple fixups recommended by spot.

* Mon Jul 18 2005 Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-1
- Initial build.

